Bug 967862 - FTBFS: grub2 fails to build on PPC with error: 'dev_iterate_alias' undeclared
FTBFS: grub2 fails to build on PPC with error: 'dev_iterate_alias' undeclared
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
powerpc Linux
unspecified Severity high
: ---
: ---
Assigned To: Paulo Flabiano Smorigo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 08:46 EDT by Gustavo Luiz Duarte
Modified: 2013-06-18 02:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: grub2-2.00-20.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:11:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Luiz Duarte 2013-05-28 08:46:11 EDT
Description of problem:
Grub2 fails to build on PPC with the following error message:

disk/ieee1275/ofdisk.c:272:26: error: 'dev_iterate_alias' undeclared (first use in this function)
   grub_devalias_iterate (dev_iterate_alias);


Version-Release number of selected component (if applicable):
grub2-2.00-18.fc19

How reproducible:
Always

Steps to Reproduce:
1. ppc-koji build --scratch f19 grub2-2.00-18.fc19.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1132232

Expected results:


Additional info:
Comment 1 Paulo Flabiano Smorigo 2013-05-28 09:24:54 EDT
pjones,

Please remove the following patch from the building:
0360-Add-bootpath-device-to-the-list.patch

As there is a similiar one commited in mainstream:
0301-grub-core-disk-ieee1275-ofdisk.c-Iterate-over-bootpa.patch

This fixes the error.
Comment 2 Fedora Update System 2013-06-13 10:24:39 EDT
grub2-2.00-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/grub2-2.00-19.fc19
Comment 3 Fedora Update System 2013-06-13 14:06:30 EDT
Package grub2-2.00-19.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.00-19.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10773/grub2-2.00-19.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-14 15:58:09 EDT
grub2-2.00-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/grub2-2.00-20.fc19
Comment 5 Fedora Update System 2013-06-18 02:11:43 EDT
grub2-2.00-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.